org.apache.commons.codec

## Class CharEncoding

- java.lang.Object
- - org.apache.commons.codec.CharEncoding

-     public class CharEncoding
      extends Object

  Character encoding names required of every implementation of the Java platform. From the Java documentation Standard charsets:

  Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported. Consult the release documentation for your implementation to see if any other encodings are supported.

  - `US-ASCII`
    Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set.
  - `ISO-8859-1`
    ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.
  - `UTF-8`
    Eight-bit Unicode Transformation Format.
  - `UTF-16BE`
    Sixteen-bit Unicode Transformation Format, big-endian byte order.
  - `UTF-16LE`
    Sixteen-bit Unicode Transformation Format, little-endian byte order.
  - `UTF-16`
    Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output.)
  This perhaps would best belong in the [lang] project. Even if a similar interface is defined in [lang], it is not foreseen that [codec] would be made to depend on [lang].

  This class is immutable and thread-safe.

  Since:
    1.4
  Version:
    $Id: CharEncoding.java 1563226 2014-01-31 19:38:06Z ggregory $
  See Also:
    Standard charsets

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ISO_8859_1` CharEncodingISO Latin Alphabet No.
    `static String` | `US_ASCII` Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
    `static String` | `UTF_16` Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)
    `static String` | `UTF_16BE` Sixteen-bit Unicode Transformation Format, big-endian byte order.
    `static String` | `UTF_16LE` Sixteen-bit Unicode Transformation Format, little-endian byte order.
    `static String` | `UTF_8` Eight-bit Unicode Transformation Format.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharEncoding()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISO_8859_1

          public static final String ISO_8859_1

      CharEncodingISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

    - #### US_ASCII

          public static final String US_ASCII

      Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

    - #### UTF_16

          public static final String UTF_16

      Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

    - #### UTF_16BE

          public static final String UTF_16BE

      Sixteen-bit Unicode Transformation Format, big-endian byte order.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

    - #### UTF_16LE

          public static final String UTF_16LE

      Sixteen-bit Unicode Transformation Format, little-endian byte order.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

    - #### UTF_8

          public static final String UTF_8

      Eight-bit Unicode Transformation Format.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets, Constant Field Values

  - ### Constructor Detail

    - #### CharEncoding

          public CharEncoding()

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.